<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Topics And Objectives</title>
</head>
<body>
    Topics And Objectives.
    <br>
    <div id=" Topic7">
        <h3>
            Weeks 14-15
        </h3>
        <h2>
            Topic 7 Advanced Web Development
        </h2>
        <p>
            In this topic students learn that building static web pages have their limits and that they often need to be 
            deployed on web servers sometimes backed with server-side programming language or database. This topic at a 
            minimum will introduce the students to the HTTP protocol, client server model, HTML forms, and how to implement
            forms proccessing to the future expand on the capabilities of the web pages they have built so far in previos
            topics. This topic introduces the students to the basic concepts requires for future web application developmnent
            course where formal dynamic web application frameworks are used.
        </p>
        <ol>
            <li>
                Investigate the HTTP protocal and client server model.
            </li>
            <li>
                Develope web pages with HTML Forms.
            </li>
            <li>
                Develope web pages that integrate Forms Processing on the server.
            </li>
        </ol>
        <h3>
            Readings
        </h3>
        <ul>
            <li>
                None.
            </li>
        </ul>
    </div>
    <br>
    <a href = "index.html">Go Back To Main Page </a>
</body>
</html>